// The theme file is based on the specification at https://system-ui.com/theme
var size = [24, 36, 44];

var rootPixelFontSize = 16;
var pxToRem = function pxToRem(px) {
  return px / rootPixelFontSize;
};

/*
   The size scale is based entirely on the medium, small and
   xsmall buttons. The medium size meets WCAG 2.1 AAA compliance
   for touch targets.
*/

var size$1 = {
  xsmall: size[0],
  small: size[1],
  medium: size[2]
};
var remSize = {
  xsmall: pxToRem(size[0]),
  small: pxToRem(size[1]),
  medium: pxToRem(size[2])
};
/*
   We attempt to use these values for icons within Source components.
   They are analogous with component heights defined by the size values
   above. They are based on the size of icons used within the button
   component.
*/

var iconSize = {
  xsmall: 20,
  small: 26,
  medium: 30
};
var remIconSize = {
  xsmall: pxToRem(20),
  small: pxToRem(26),
  medium: pxToRem(30)
};

var height = {
  ctaMedium: size$1.medium,
  ctaSmall: size$1.small,
  ctaXsmall: size$1.xsmall,
  inputMedium: size$1.medium,
  inputXsmall: size$1.xsmall,
  iconMedium: iconSize.medium,
  iconSmall: iconSize.small,
  iconXsmall: iconSize.xsmall
};
var remHeight = {
  ctaMedium: remSize.medium,
  ctaSmall: remSize.small,
  ctaXsmall: remSize.xsmall,
  inputMedium: remSize.medium,
  inputXsmall: remSize.xsmall,
  iconMedium: remIconSize.medium,
  iconSmall: remIconSize.small,
  iconXsmall: remIconSize.xsmall
};
var width = {
  ctaMedium: size$1.medium,
  ctaSmall: size$1.small,
  ctaXsmall: size$1.xsmall,
  inputXsmall: size$1.xsmall,
  iconMedium: iconSize.medium,
  iconSmall: iconSize.small,
  iconXsmall: iconSize.xsmall
};
var remWidth = {
  ctaMedium: remSize.medium,
  ctaSmall: remSize.small,
  ctaXsmall: remSize.xsmall,
  inputXsmall: remSize.xsmall,
  iconMedium: remIconSize.medium,
  iconSmall: remIconSize.small,
  iconXsmall: remIconSize.xsmall
};

export { height, iconSize, remHeight, remWidth, size$1 as size, width };
